/*--------------------------------------------------------------------
 * $Source: /rcs/rcs2/include/util.h,v $
 * $Date: 1996/11/09 16:23:18 $		$Revision: 2.4.65.1 $
 *--------------------------------------------------------------------
 *
 *
 *             Copyright (c) 1988, Visual Edge Software Ltd.
 *
 * ALL  RIGHTS  RESERVED.  Permission  to  use,  copy,  modify,  and
 * distribute  this  software  and its documentation for any purpose
 * and  without  fee  is  hereby  granted,  provided  that the above
 * copyright  notice  appear  in  all  copies  and  that  both  that
 * copyright  notice and this permission notice appear in supporting
 * documentation,  and that  the name of Visual Edge Software not be
 * used  in advertising  or publicity  pertaining to distribution of
 * the software without specific, written prior permission. The year
 * included in the notice is the year of the creation of the work.
 *--------------------------------------------------------------------
 *
 * Declarations for the util.c functions
 *-------------------------------------------------------------------*/

#ifndef _UX_UTIL_H_
#define _UX_UTIL_H_

extern char *UxGen_sym();
char * UxUimx_unparse();
vhandle UxUimx_parse();

int UxStrEqual		UXPROTO(( char *str1, char * str2));
int UxStrLessThan	UXPROTO(( char *str1, char * str2));
int UxStrCompare	UXPROTO(( char *str1, char * str2));



/*-----------------------------------------------------------------------------
 * Functions that strip or add wrapping quotations around strings.
 * The returned values are in UxRingBuffer.
 *---------------------------------------------------------------------------*/

extern Boolean UxQuoteWrapped UXPROTO(( char * ));
extern char*   UxUnquoteWrap UXPROTO(( char * ));
extern char*   UxQuoteWrap UXPROTO(( char * ));

#endif /* _UX_UTIL_H_ */
